Bug 664567 - Link on welcome.jsf needs to be changed to point to CoreUI
Link on welcome.jsf needs to be changed to point to CoreUI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.0.0
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-12-20 14:27 EST by Corey Welton
Modified: 2013-08-05 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-12-20 14:27:18 EST
Description of problem:
Link that appears on "welcome.jsf" after installing points user to old jsf login.  From that point on, it is difficult to get back to CoreUI

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.  Install new instance of RHQ/JON
2.  On the resulting "The Server is Installed!" page (welcome.jsf), click the "Click here to get started!" link.
3.  View results
  
Actual results:
User is taken to the jsf login and UI

Expected results:
User should be taken to GWT UI
Should this page be removed completely?

Additional info:
For whatever reason, user gets to this welcome.jsf most frequently while using Chrome, though I think I have seen it in Firefox too.
Comment 1 Corey Welton 2010-12-20 14:31:00 EST
So, yeah, this does happen more on Firefox than I thought.  Just happened in latest build I installed.
Comment 2 Ian Springer 2011-02-24 13:59:31 EST
Fixed - [master c70d6d7] change "get started" link from "/Login.do" to "/".
Comment 3 Sunil Kondkar 2011-03-09 05:13:46 EST
Verified on Build# 1083 ( Version: 4.0.0-SNAPSHOT Build Number: fbbf83c)

Verified on Firefox version 3.6.3. Clicking the get started link takes user to GWT login page. (http://localhost:7080/coregui/)

Marking the bug as verified.
Comment 4 Corey Welton 2011-05-23 21:17:22 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:17:22 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:17:22 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:17:26 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.